package model;

import java.util.List;

import oracle.jbo.server.ViewRowImpl;

import webservice.proxy.TESTLOV_Mediator_ep;
import webservice.proxy.TestLov_ptt;
import webservice.proxy.types.TestLov;

public class TestLovWSViewObjImpl extends WsViewObjectImpl {
    private static TESTLOV_Mediator_ep tESTLOV_Mediator_ep;

    protected List retrieveArrayFromWebService(Object qc, Object[] params) {
        try {
            tESTLOV_Mediator_ep = new TESTLOV_Mediator_ep();
            TestLov_ptt testLov_ptt = tESTLOV_Mediator_ep.getTestLov_pt();
            List<TestLov> listTestLov =
                testLov_ptt.testLovSelect(null).getTestLov();
            return listTestLov;
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    protected void fillRow(Object data, ViewRowImpl row) {
        TestLov testLov = (TestLov)data;
        populateAttributeForRow(row, TestLovWSViewObjRowImpl.ID,
                                toOracleNumber(testLov.getId()));
        populateAttributeForRow(row, TestLovWSViewObjRowImpl.NAAM,
                                testLov.getNaam());
    }
}
