
package webservice.proxy.types;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the webservice.proxy.types package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _TestLovCollection_QNAME = new QName("http://xmlns.oracle.com/pcbpel/adapter/db/top/TestLov", "TestLovCollection");
    private final static QName _TestLovSelectInputParameters_QNAME = new QName("http://xmlns.oracle.com/pcbpel/adapter/db/top/TestLov", "TestLovSelectInputParameters");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: webservice.proxy.types
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link TestLovCollection }
     * 
     */
    public TestLovCollection createTestLovCollection() {
        return new TestLovCollection();
    }

    /**
     * Create an instance of {@link TestLovSelect }
     * 
     */
    public TestLovSelect createTestLovSelect() {
        return new TestLovSelect();
    }

    /**
     * Create an instance of {@link TestLov }
     * 
     */
    public TestLov createTestLov() {
        return new TestLov();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TestLovCollection }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://xmlns.oracle.com/pcbpel/adapter/db/top/TestLov", name = "TestLovCollection")
    public JAXBElement<TestLovCollection> createTestLovCollection(TestLovCollection value) {
        return new JAXBElement<TestLovCollection>(_TestLovCollection_QNAME, TestLovCollection.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TestLovSelect }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://xmlns.oracle.com/pcbpel/adapter/db/top/TestLov", name = "TestLovSelectInputParameters")
    public JAXBElement<TestLovSelect> createTestLovSelectInputParameters(TestLovSelect value) {
        return new JAXBElement<TestLovSelect>(_TestLovSelectInputParameters_QNAME, TestLovSelect.class, null, value);
    }

}
